package com.trunksbomb.minetriad.game;

import com.trunksbomb.minetriad.card.CardDefinition;

public record GameCard(CardDefinition definition) {
    public int value(CardSide side) {
        return switch (side) {
            case TOP -> definition.top();
            case RIGHT -> definition.right();
            case BOTTOM -> definition.bottom();
            case LEFT -> definition.left();
        };
    }
}
